DEDECMS 模板中心

您现在的位置:主页 > 织梦大学 > 标签调用 >

解决织梦5.7,为了兼容php5.4+问题

来源: 编辑: 发布时间:2020-04-12热度:
2015年6月18日更新的新版本的织梦5.7,为了兼容php5.4+,修改了common.func.php,可能有些模板也改动过这个文件,这样会导致在安装模板时,common.fuc.php文件被覆盖,从而在发布文章时,编辑...

2015年6月18日更新的新版本的织梦5.7,为了兼容php5.4+,修改了common.func.php,可能有些模板也改动过这个文件,这样会导致在安装模板时,common.fuc.php文件被覆盖,从而在发布文章时,编辑框的位置出现“Call to undefined function dede_htmlspecialchars()”这样的错误提示。

解决办法如下:

打开common.func.php,搜索“function RunApp”,在这个函数的上面添加织梦新版本新增的函数:dede_htmlspecialchars

function dede_htmlspecialchars($str) {  
    global $cfg_soft_lang;  
    if (version_compare(PHP_VERSION, '5.4.0', '<')) return htmlspecialchars($str);  
    if ($cfg_soft_lang=='gb2312') return htmlspecialchars($str,ENT_COMPAT,'ISO-8859-1');  
    else return htmlspecialchars($str);  
}

觉得还是升级为php5.6更兼容

DedeCMS问题解决

请点击在线联系我们【点击咨询解决问题】   如果您有任何织梦问题,我们将免费为您写解决教程!

用心认真写教程不易,请小打赏我们一下,多少是心意,解决问题是重点

【打赏说明】 如果您认为在本站中看的内容质量不错、或阅读后有所收获、或解决您遇到的实际问题,那不妨小金额的赞助一下尚禹科技,让尚禹科技有动力继续写出更多高质量的教程和心得。以帮助更多的人。[查看打赏记录]

    尚禹科技:承接仿站业务,价格200元起!